import request from '@/utils/request'

// 查询开关布局列表
export function getIsLotoSwitchMapPage(query) {
  return request({
    url: '/iscs/switchmap/getIsLotoSwitchMapPage',
    method: 'get',
    params: query
  })
}
// 解绑的数据集合
export function updatePointsBindingSwitchMap(data) {
  return request({
    url: '/iscs/switchmap/updatePointsBindingSwitchMap',
    method: 'post',
    data: data
  })
}

// 查询开关布局详细
export function selectIsLotoSwitchMapById(switchMapId) {
  return request({
    url: '/iscs/switchmap/selectIsLotoSwitchMapById?switchMapId=' + switchMapId,
    method: 'get'
  })
}
// 查询开关布局地图转换数据
export function selectLotoMapById(switchMapId) {
  return request({
    url: '/iscs/station/selectLotoMapById?switchMapId=' + switchMapId,
    method: 'get'
  })
}

// 新增开关布局
export function insertIsLotoSwitchMap(data) {
  return request({
    url: '/iscs/switchmap/insertIsLotoSwitchMap',
    method: 'post',
    data: data
  })
}

// 修改开关布局
export function updateIsLotoSwitchMap(data) {
  return request({
    url: '/iscs/switchmap/updateIsLotoSwitchMap',
    method: 'post',
    data: data
  })
}

// 删除开关布局
export function deleteIsLotoSwitchMapBySwitchMapIds(switchMapIds) {
  return request({
    url: '/iscs/switchmap/deleteIsLotoSwitchMapBySwitchMapIds?switchMapIds=' + switchMapIds,
    method: 'post'
  })
}
